Create a Replay Deletion Job

POST /api/0/projects/{organization_id_or_slug}/{project_id_or_slug}/replays/jobs/delete/

Create a new replay deletion job.

Path Parameters

organization_id_or_slug (string)
REQUIRED

The ID or slug of the organization the resource belongs to.

project_id_or_slug (string)
REQUIRED

The ID or slug of the project the resource belongs to.

Body Parameters

data (object)
REQUIRED

Scopes

<auth_token> requires one of the following scopes:
  • project:admin
  • project:write
Copied
curl https://sentry.io/api/0/projects/{organization_id_or_slug}/{project_id_or_slug}/replays/jobs/delete/ \
 -H 'Authorization: Bearer <auth_token>' \
 -H 'Content-Type: application/json' \
 -d '{}'
RESPONSESCHEMA
Copied
{ "data": { "id": 1, "dateCreated": "2024-01-01T00:00:00Z", "dateUpdated": "2024-01-01T00:05:00Z", "rangeStart": "2023-12-01T00:00:00Z", "rangeEnd": "2024-01-01T00:00:00Z", "environments": [ "production" ], "status": "pending", "query": "user.email:test@example.com", "countDeleted": 0 } }
Was this helpful?